Package org.eclipse.cdt.utils.macho

## Class MachO64.DyLibModule

- java.lang.Object
- - org.eclipse.cdt.utils.macho.MachO64.DyLibModule

Enclosing class:
  MachO64

    public class MachO64.DyLibModule
    extends Object

### Field Summary

Fields
`int` `iextdefsym`
`int` `iextrel`
`int` `iinit_iterm`
`int` `ilocalsym`
`int` `irefsym`
`int` `module_name`
`int` `nextdefsym`
`int` `nextrel`
`int` `ninit_nterm`
`int` `nlocalsym`
`int` `nrefsym`
`long` `objc_module_info_addr`
`int` `objc_module_info_size`

### Constructor Summary

Constructors
`DyLibModule()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### module_name

    public int module_name

#### iextdefsym

    public int iextdefsym

#### nextdefsym

    public int nextdefsym

#### irefsym

    public int irefsym

#### nrefsym

    public int nrefsym

#### ilocalsym

    public int ilocalsym

#### nlocalsym

    public int nlocalsym

#### iextrel

    public int iextrel

#### nextrel

    public int nextrel

#### iinit_iterm

    public int iinit_iterm

#### ninit_nterm

    public int ninit_nterm

#### objc_module_info_addr

    public long objc_module_info_addr

#### objc_module_info_size

    public int objc_module_info_size

### Constructor Detail

#### DyLibModule

    public DyLibModule()